<?php

namespace App\Exports;

use Illuminate\Support\Carbon;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Events\AfterSheet;

class ExportReport implements FromCollection, WithHeadings, ShouldAutoSize, WithEvents
{
    use Exportable;

    private $visits = [];

    public function __construct($visits)
    {
        $this->visits = $visits;

    }
    public function collection()
    {

        foreach($this->visits as $visit) {

            $records[] = array(
                'User' => $visit->user_name ?? '---',
                'TCP' => $visit->tcp_name ?? '---',
                'Vehicle' => $visit->vehicle_name ?? '---',
                'Vehicle Registration' => $visit->vehicle_registration_no ?? '---',
                'Company' => $visit->company_name ?? '---',
                'In' => $visit->entry == 1 ? 'Yes' : 'No',
                'Out' => $visit->exit == 1 ? 'Yes' : 'No',
                'Time' => $visit->time ?? '---',
                'Description' => $visit->description ?? '---',
                'Category' => $visit->category ?? '---',
            );
            $collection = collect($records);
        }
        return $collection;
    }

    public function headings(): array
    {
        return [
            'User',
            'TCP',
            'Vehicle',
            'Vehicle Registration',
            'Company',
            'In',
            'Out',
            'Time',
            'Description',
            'Category',
        ];
    }

    public function registerEvents(): array
    {
        return [
            AfterSheet::class => function(AfterSheet $event) {

                $event->sheet->getDelegate()->getStyle('A1:K1')->getFont()->setBold(true);

                $event->sheet->getDelegate()->getRowDimension('1')->setRowHeight(30);

                $event->sheet->getDelegate()->getColumnDimension('A')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('B')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('C')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('D')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('E')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('F')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('G')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('H')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('I')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('J')->setWidth(11);
                $event->sheet->getDelegate()->getColumnDimension('K')->setWidth(11);
            },
        ];
    }

}
