<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Tcp extends Model
{
    use HasFactory;

    protected $fillable = [
        'name', 'image', 'town', 'zone', 'uc', 'lat', 'long', 'status'
    ];

    /**
     * @param $query
     * @param int $status
     * @return void
     */
    public function scopeIsActive($query, int $status = 1)
    {
        $query->where('status', $status);
    }

    /**
     * @return Attribute
     */
    protected function image(): Attribute
    {
        return Attribute::make(
            get: fn ($image) => $image ? asset('storage/'. $image ?? '') : asset('admin/images/no-image.jpg'),
        );
    }
}
