<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

class TcpUser extends Model
{
    use HasFactory;

    const SHIFTS = [
        '1st Shift',
        '2nd Shift',
        '3rd Shift',
    ];

    protected $fillable = [
        'name', 'user_id', 'tcp_id', 'shift', 'cnic', 'phone', 'status'
    ];

    /**
     * @param $query
     * @param int $status
     * @return void
     */
    public function scopeIsActive($query, int $status = 1)
    {
        $query->where('status', $status);
    }

    /**
     * @return BelongsTo
     */
    public function tcp(): BelongsTo
    {
        return $this->belongsTo(Tcp::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
