<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Vehicle extends Model
{
    use HasFactory;

    const CATEGORIES = [
        'Minidumper',
        'Photon',
        'Dumper',
        'Compactor',
        'Rickshaws',
        'Handcarts',
        'Donkey Carts',
        'Cycle',
        'Other',
    ];

    protected $fillable = [
        'name', 'company_id', 'registration_no', 'category', 'town', 'zone', 'uc', 'status'
    ];

    /**
     * @param $query
     * @param int $status
     * @return void
     */
    public function scopeIsActive($query, int $status = 1)
    {
        $query->where('status', $status);
    }

    /**
     * @return BelongsTo
     */
    public function company(): BelongsTo
    {
        return $this->belongsTo(Company::class);
    }
}
