@push('css')
    <style>
        .image-previewer {
            height: 100px;
            width: 100px;
            display: flex;
            border-radius: 10px;
            border: 1px solid lightgrey;
            object-fit: contain;
            /*background-image: url({{asset('admin/images/UploadDark.png')}});
            background-repeat: no-repeat;*/
        }
        .dependencies {
            font-family: 'Reenie Beanie', cursive;
            font-size: 28px;
            text-decoration: none;
        }
        textarea {
            resize: none;
            min-height: 50px;
        }
        pre, code {
            user-select: all;
        }
    </style>
@endpush

<div class="uk-container uk-card uk-card-default uk-padding uk-margin-medium-bottom">
    <div class="uk-grid uk-child-width-1-3@m">
        <div>
            @if(isset($model))
                <label for="input" class="image-previewer" data-cropzee="input">
                    <img class="image-previewer" src="{{$model?->image}}">
                </label>
            @else
                <label for="input" class="image-previewer" data-cropzee="input"></label>
            @endif
            <input id="input" type="file" accept="image/*">
            <input type="hidden" name="file" id="file-data">
        </div>

    </div>
</div>


@push('js')

    <script src="{{asset('admin/js/cropzee.js')}}" defer></script>
    <script src="{{asset('admin/js/jquery.ba-throttle-debounce.js')}}" defer></script>


    <script>
        $(document).ready(function(){
            $("#input").cropzee();
            $.each($("input[name='enable']"), function(){
                if ($(this).is(":checked")) {
                    $(this).closest("div.uk-position-relative").find("textarea").removeAttr("disabled");
                } else {
                    $(this).closest("div.uk-position-relative").find("textarea").attr("disabled", "disabled");
                }
            });
            $("input, select, textarea").on( "keyup change", $.debounce(300, function() {
                destroyPlugin($("#input"));
                $.each($("input[name='enable']"), function(){
                    if ($(this).is(":checked")) {
                        $(this).closest("div.uk-position-relative").find("textarea").removeAttr("disabled");
                    } else {
                        $(this).closest("div.uk-position-relative").find("textarea").attr("disabled", "disabled");
                    }
                });
                var aspectRatio = "";
                $.each($("input[name='aspectRatio']"), function(){
                    aspectRatio += $(this).val();
                });
                var maxSize = [];
                $.each($("input[name='maxSize'], select[name='maxSize']"), function(){
                    maxSize.push($(this).val());
                });
                var minSize = [];
                $.each($("input[name='minSize'], select[name='minSize']"), function(){
                    minSize.push($(this).val());
                });
                var startSize = [];
                $.each($("input[name='startSize'], select[name='startSize']"), function(){
                    startSize.push($(this).val());
                });
                var allowedInputs = [];
                $.each($("input[name='allowedInputs']:checked"), function(){
                    allowedInputs.push($(this).val());
                });
                var imageExtension = "";
                $.each($("input[name='imageExtension']:checked"), function(){
                    imageExtension += $(this).val();
                });
                var returnImageMode = "";
                $.each($("input[name='returnImageMode']:checked"), function(){
                    returnImageMode += $(this).val();
                });
                var modalAnimation = "";
                $.each($("select[name='modalAnimation']"), function(){
                    modalAnimation += $(this).val();
                });
                var onCropStart = null;
                $.each($("textarea[name='onCropStart']"), function(){
                    if (!$(this).is(":disabled")) {
                        onCropStart = $(this).val();
                    }
                });
                var onCropMove = null;
                $.each($("textarea[name='onCropMove']"), function(){
                    if (!$(this).is(":disabled")) {
                        onCropMove = $(this).val();
                    }
                });
                var onCropEnd = null;
                $.each($("textarea[name='onCropEnd']"), function(){
                    if (!$(this).is(":disabled")) {
                        onCropEnd = $(this).val();
                    }
                });
                var onInitialize = null;
                $.each($("textarea[name='onInitialize']"), function(){
                    if (!$(this).is(":disabled")) {
                        onInitialize = $(this).val();
                    }
                });
                window.options = {
                    aspectRatio: aspectRatio,
                    maxSize: maxSize,
                    minSize: minSize,
                    startSize: startSize,
                    onCropStart: onCropStart,
                    onCropMove: onCropMove,
                    onCropEnd: onCropEnd,
                    onInitialize: onInitialize,
                    modalAnimation: modalAnimation,
                    allowedInputs: allowedInputs,
                    imageExtension: imageExtension,
                    returnImageMode: returnImageMode,
                }
                // alert(JSON.stringify(options));
                $("#input").cropzee(options);
            }));
        });
        var destroyPlugin = function($elem, eventNamespace) {
            var isInstantiated  = !! $.data($elem.get(0));
            if (isInstantiated) {
                $.removeData($elem.get(0));
                $elem.off(eventNamespace);
                $elem.unbind('.' + eventNamespace);
            }
        };
    </script>

@endpush
