
<div class="search-section">
    @if($model->is_searchable == 1)
        <div class="custom-control custom-control-primary custom-switch">
            <input onclick="isSearchable($(this), '{{$url}}', 0)" type="checkbox" checked="" name="is_searchable" {{$model->is_searchable == 1 ? 'checked' : ''}} value="1" class="custom-control-input" id="is_searchable">
            <label class="custom-control-label" for="is_searchable"></label>
        </div>
    @else
        <div class="custom-control custom-control-primary custom-switch">
            <input onclick="isSearchable($(this),'{{$url}}', 1)" type="checkbox" name="is_searchable" value="1" class="custom-control-input" id="is_searchable">
            <label class="custom-control-label" for="is_searchable"></label>
        </div>
    @endif

</div>

<script>
    function isSearchable($this, url, status) {

        swal({
            title: 'Are you sure?',
            showCancelButton: true,
            buttonsStyling: false,
            confirmButtonClass: 'btn btn-danger',
            confirmButtonText: 'Yes',
            cancelButtonClass: 'btn btn-light',
        }).then(function() {

                $.ajax({
                    type: 'GET',
                    dataType: 'json',
                    url: url,
                    data: {is_searchable: status},
                    success: function (response) {
                        if (response.status) {
                            toastr['success'](
                                response.message,
                                'Success',
                                options()
                            );
                            $this.parents(".search-section").html(response.data)
                        } else {
                            toastr['error'](
                                response.message,
                                'Error',
                                options()
                            );
                        }
                    }, error: function (error) {
                        toastr.error("something went wrong, please try again.");
                    }
                });

            },
            function(inputValue) {
                let checked = $this.is(":checked");
                if (inputValue !== false) {
                    if (checked) {
                        $this.prop("checked", false);
                    } else {
                        $this.prop("checked", true);
                    }
                } else {
                    if (checked) {
                        $this.prop("checked", false);
                    } else {
                        $this.prop("checked", true);
                    }
                }
            });
    }
</script>
