
<div class="status-section">
    @if($model->status == 1)
        <div class="custom-control custom-control-primary custom-switch">
            <input onclick="isActive($(this), '{{$url}}', 0)" type="checkbox" checked="" name="status" {{$model->status == 1 ? 'checked' : ''}} value="1" class="custom-control-input" id="status-{{$model->id}}">
            <label class="custom-control-label" for="status-{{$model->id}}"></label>
        </div>
    @else
        <div class="custom-control custom-control-primary custom-switch">
            <input onclick="isActive($(this),'{{$url}}', 1)" type="checkbox" name="status" value="1" class="custom-control-input" id="status-{{$model->id}}">
            <label class="custom-control-label" for="status-{{$model->id}}"></label>
        </div>
    @endif
</div>

<script>
    function isActive($this, url, status) {
        swal({
            title: 'Are you sure?',
            showCancelButton: true,
            buttonsStyling: false,
            confirmButtonClass: 'btn btn-danger',
            confirmButtonText: 'Yes',
            cancelButtonClass: 'btn btn-light',
        }).then(function() {

                $.ajax({
                    type: 'GET',
                    dataType: 'json',
                    url: url,
                    data: {status: status},
                    success: function (response) {
                        if (response.status === true) {
                            toastr['success'](
                                response.message,
                                'Success',
                                options()
                            );
                            $this.parents(".status-section").html(response.data)
                        } else if (response.status === false) {
                            toastr['error'](
                                response.message,
                                'Error',
                                options()
                            );
                        } else {
                            toastr['error'](
                                response.message,
                                'Error',
                                options()
                            );
                            $this.parents(".status-section").html(response.data)
                        }
                    }, error: function (error) {
                        toastr.error("something went wrong, please try again.");
                    }
                });

            },
            function(inputValue) {
                let checked = $this.is(":checked");
                if (inputValue !== false) {
                    if (checked) {
                        $this.prop("checked", false);
                    } else {
                        $this.prop("checked", true);
                    }
                } else {
                    if (checked) {
                        $this.prop("checked", false);
                    } else {
                        $this.prop("checked", true);
                    }
                }
            });
    }
</script>
