@extends('layouts.app')

@section('content')
    @push('css')
      <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/pickers/flatpickr/flatpickr.min.css')}}">
    @endpush


    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
            </div>
            <div class="content-body">
                <!-- Dashboard Ecommerce Starts -->
                <section id="dashboard-ecommerce">

                    <div class="row match-height">
                        <!-- search Card -->
                        <div class="col-xl-12 col-md-12 col-12">
                            <div class="card card-congratulation-medal">
                                <div class="card-body">
                                    <div class="d-flex align-items-center" style="float: right;">
                                        <div class="row">
                                            <div class="col-xl-9 col-sm-9 col-12 mb-2 mb-xl-0">
                                                <div class="input-group">
                                                    <input type="text" id="dateRangePicker" class="form-control flatpickr-range" placeholder="DD-MM-YYYY to DD-MM-YYYY" data-input />
                                                    <button id="cancelDateRangePickerBtn" class="btn btn-outline-primary waves-effect" type="button"><i data-feather="x" class="avatar-icon"></i></button>
                                                </div>
                                            </div>

                                            <div class="col-xl-2 col-sm-6 col-12 mb-2 mb-xl-0">
                                                <button id="filterAnalytics" type="button" class="btn btn-primary">Go</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row match-height">
                        <!-- Statistics Card -->
                        <div class="col-xl-12 col-md-12 col-12">
                            <div class="card card-statistics">
                                <div class="card-header">
                                    <h4 class="card-title">Statistics</h4>
                                </div>
                                <div class="card-body statistics-body">
                                    <div class="row">
                                        <div class="col-xl-3 col-sm-6 col-12 mb-2 mb-xl-0">
                                            <div class="media">
                                                <div class="avatar bg-light-primary mr-2">
                                                    <div class="avatar-content">
                                                        <i data-feather="trending-up" class="avatar-icon"></i>
                                                    </div>
                                                </div>
                                                <div class="media-body my-auto">
                                                    <h4 class="font-weight-bolder mb-0" id="active-tcps">0</h4>
                                                    <p class="card-text font-small-3 mb-0">Active TCPs</p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-sm-6 col-12 mb-2 mb-xl-0">
                                            <div class="media">
                                                <div class="avatar bg-light-info mr-2">
                                                    <div class="avatar-content">
                                                        <i data-feather="truck" class="avatar-icon"></i>
                                                    </div>
                                                </div>
                                                <div class="media-body my-auto">
                                                    <h4 class="font-weight-bolder mb-0" id="total-in-tcps">0</h4>
                                                    <p class="card-text font-small-3 mb-0">Total In Vehicle</p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-sm-6 col-12 mb-2 mb-sm-0">
                                            <div class="media">
                                                <div class="avatar bg-light-danger mr-2">
                                                    <div class="avatar-content">
                                                        <i data-feather="truck" class="avatar-icon"></i>
                                                    </div>
                                                </div>
                                                <div class="media-body my-auto">
                                                    <h4 class="font-weight-bolder mb-0" id="total-out-tcps">0</h4>
                                                    <p class="card-text font-small-3 mb-0">Total Out Vehicles </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 col-sm-6 col-12">
                                            <div class="media">
                                                <div class="avatar bg-light-success mr-2">
                                                    <div class="avatar-content">
                                                        <i data-feather="user" class="avatar-icon"></i>
                                                    </div>
                                                </div>
                                                <div class="media-body my-auto">
                                                    <h4 class="font-weight-bolder mb-0" id="total-users">0</h4>
                                                    <p class="card-text font-small-3 mb-0">Total User</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row match-height">
                        <div class="col-lg-6 col-12">
                            <div class="card card-revenue-budget">
                                <div class="row mx-0">
                                    <div class="col-md-12 col-12 revenue-report-wrapper">
                                        <div class="d-sm-flex justify-content-between align-items-center mb-3">
                                            <h4 class="card-title mb-50 mb-sm-0">Check In</h4>
                                            <div class="d-flex align-items-center">
                                                <div class="d-flex align-items-center mr-2">
                                                    <span class="bullet bullet-primary font-small-3 mr-50 cursor-pointer"></span>
                                                    <span>Month Wise</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div id="in-tcps-chart"></div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-12">
                            <div class="card card-revenue-budget">
                                <div class="row mx-0">
                                    <div class="col-md-12 col-12 revenue-report-wrapper">
                                        <div class="d-sm-flex justify-content-between align-items-center mb-3">
                                            <h4 class="card-title mb-50 mb-sm-0">Check Out</h4>
                                            <div class="d-flex align-items-center">
                                                <div class="d-flex align-items-center mr-2">
                                                    <span class="bullet bullet-primary font-small-3 mr-50 cursor-pointer"></span>
                                                    <span>Month Wise</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div id="out-tcps-chart"></div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-12 col-12">
                            <div class="card card-revenue-budget">
                                <div class="row mx-0">
                                    <div class="col-md-12 col-12 revenue-report-wrapper">
                                        <div class="d-sm-flex justify-content-between align-items-center mb-3">
                                            <h4 class="card-title mb-50 mb-sm-0">Category Wise Check In</h4>
                                            <div class="d-flex align-items-center">
                                                <div class="d-flex align-items-center mr-2">
                                                    <span class="bullet bullet-primary font-small-3 mr-50 cursor-pointer"></span>
                                                    <span>Month Wise</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div id="category-tcps-chart"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="col-lg-12 col-12">
                        <div style="width: 100%; height: 400px;" id="google-map"></div>
                    </div>

                </section>
                <!-- Dashboard Ecommerce ends -->

            </div>
        </div>
    </div>
    <!-- END: Content-->

    @push('js')
        <script src="{{asset('admin/vendors/js/charts/apexcharts.min.js')}}"></script>

        <script src="{{asset('admin/vendors/js/pickers/flatpickr/flatpickr.min.js')}}"></script>
        <script src="{{asset('admin/js/scripts/forms/pickers/form-pickers.js')}}"></script>

        <script async defer
                src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCR5PFyvraK8Cqbu-vQu7UAR-NkcABHNuw&callback=initMap">
        </script>
        <script>

            var d = new Date();
            var yy = d.getFullYear();
            var s_mm = (d.getMonth());
            var mm = (d.getMonth() + 1);
            var dd = d.getDate();

            var startDate = yy + "-" + s_mm + "-" + dd;
            var endDate = yy + "-" + mm + "-" + dd;

            $("#filterAnalytics").on("click", function () {
                getDashBoardData();
            });

            $(document).ready(function () {
                $("#dateRangePicker").flatpickr({
                    mode: 'range',
                    altFormat: "d-m-Y",
                    dateFormat: "Y-m-d",
                    onClose: function(selectedDates, dateStr, instance){
                        if(dateStr.indexOf("to") > -1) {
                            var dateArr = dateStr.split("to");
                            startDate = dateArr[0].trim();
                            endDate = dateArr[1].trim();
                        } else {
                            startDate = dateStr;
                            endDate = dateStr;
                        }
                    }
                });

                $("#cancelDateRangePickerBtn").on('click', function () {
                    $("#dateRangePicker").val('');
                    startDate = yy + "-" + s_mm + "-" + dd;
                    endDate = yy + "-" + mm + "-" + dd;

                    getDashBoardData();
                });
            });

            let brandValues = [];
            $(document).ready( function () {
                getDashBoardData();
            });


            function getDashBoardData() {
                getInTcps();
                getOutTcps();
                getStatistics();
                CategoryWiseTcps();
            }

            /*new*/
            function initMap() {
                mapVisits();
            }

            function mapVisits() {

                $.ajax({
                    type: 'GET',
                    dataType: 'json',
                    url: '{{route('map-visits')}}',
                    success: function (result) {
                        console.log(result.data);
                        showOnMap(result.data);
                    }
                });

            }

            function showOnMap(locations) {

                var map = new google.maps.Map(document.getElementById('google-map'), {
                    zoom: 10,
                    center: new google.maps.LatLng(31.582045, 74.329376),
                    mapTypeId: google.maps.MapTypeId.ROADMAP
                });

                var infowindow = new google.maps.InfoWindow();

                var marker, i;

                for (i = 0; i < locations.length; i++) {
                    marker = new google.maps.Marker({
                        position: new google.maps.LatLng(locations[i][1], locations[i][2]),
                        map: map,
                        icon: locations[i][3]
                    });

                    google.maps.event.addListener(marker, 'click', (function(marker, i) {
                        return function() {
                            infowindow.setContent(locations[i][0]);
                            infowindow.open(map, marker);
                        }
                    })(marker, i));
                }
            }

            /*Charts*/
            function getInTcps() {

                $.ajax({
                    type: 'get',
                    data: {'start_date': startDate, 'end_date': endDate},
                    dataType: 'json',
                    url: '{{route('dashboard.in-tcps')}}',
                    success: function (response) {
                        if (response.status) {
                            let inTcpsData = response.data.inTcps;
                            let months = response.data.tcps;
                            inTcps(inTcpsData, months)

                        }

                    }, error: function (error) {
                    }
                });

            }

            function inTcps(inTcpsData, tcps) {
                var $inTcpseReportChart = document.querySelector('#in-tcps-chart');
                var inTcpsReportChartOptions;
                var $textMutedColor = '#b9b9c3';
                var inTcpsReportChart;

                inTcpsReportChartOptions = {
                    chart: {
                        height: 230,
                        stacked: true,
                        type: 'bar',
                        toolbar: { show: true }
                    },
                    plotOptions: {
                        bar: {
                            columnWidth: '17%',
                            endingShape: 'rounded'
                        },
                        distributed: true
                    },
                    colors: [window.colors.solid.primary, window.colors.solid.warning],
                    series: [
                        {
                            name: 'Check In',
                            data: inTcpsData
                        }
                    ],
                    dataLabels: {
                        enabled: false
                    },
                    legend: {
                        show: false
                    },
                    grid: {
                        padding: {
                            top: -20,
                            bottom: -10
                        },
                        yaxis: {
                            lines: { show: true }
                        }
                    },
                    xaxis: {
                        categories: tcps,
                        labels: {
                            style: {
                                colors: $textMutedColor,
                                fontSize: '0.86rem'
                            }
                        },
                        axisTicks: {
                            show: false
                        },
                        axisBorder: {
                            show: false
                        }
                    },
                    yaxis: {
                        labels: {
                            style: {
                                colors: $textMutedColor,
                                fontSize: '0.86rem'
                            }
                        }
                    }
                };

                if (window.inTcpsReportChart) {
                    window.inTcpsReportChart.destroy();
                }

                window.inTcpsReportChart = new ApexCharts($inTcpseReportChart, inTcpsReportChartOptions);
                window.inTcpsReportChart.render();
            }

            function getOutTcps() {

                $.ajax({
                    type: 'get',
                    data: {'start_date': startDate, 'end_date': endDate},
                    dataType: 'json',
                    url: '{{route('dashboard.out-tcps')}}',
                    success: function (response) {
                        if (response.status) {
                            let outTcpsData = response.data.outTcps;
                            let months = response.data.tcps;
                            outTcps(outTcpsData, months)

                        }

                    }, error: function (error) {
                    }
                });

            }

            function getStatistics() {

                $.ajax({
                    type: 'get',
                    data: {'start_date': startDate, 'end_date': endDate},
                    dataType: 'json',
                    url: '{{route('dashboard.statistics')}}',
                    success: function (response) {
                        if (response.status) {
                            $("#total-in-tcps").text(response.data.in);
                            $("#total-out-tcps").text(response.data.out);
                            $("#active-tcps").text(response.data.activeTcps);
                            $("#total-users").text(response.data.totalUsers);
                        }

                    }, error: function (error) {
                    }
                });

            }

            function CategoryWiseTcps() {

                $.ajax({
                    type: 'get',
                    data: {'start_date': startDate, 'end_date': endDate},
                    dataType: 'json',
                    url: '{{route('dashboard.category-tcps')}}',
                    success: function (response) {
                        if (response.status) {
                            let outTcpsData = response.data.categoryTcps;
                            let months = response.data.categories;
                            categoryTcps(outTcpsData, months)

                        }

                    }, error: function (error) {
                    }
                });

            }

            function outTcps(outTcpsData, tcps) {
                var $outTcpseReportChart = document.querySelector('#out-tcps-chart');
                var outTcpsReportChartOptions;
                var $textMutedColor = '#b9b9c3';
                var outTcpsReportChart;

                outTcpsReportChartOptions = {
                    chart: {
                        height: 230,
                        stacked: true,
                        type: 'bar',
                        toolbar: { show: true }
                    },
                    plotOptions: {
                        bar: {
                            columnWidth: '17%',
                            endingShape: 'rounded'
                        },
                        distributed: true
                    },
                    colors: [window.colors.solid.warning, window.colors.solid.primary],
                    series: [
                        {
                            name: 'Check Out',
                            data: outTcpsData
                        }
                    ],
                    dataLabels: {
                        enabled: false
                    },
                    legend: {
                        show: false
                    },
                    grid: {
                        padding: {
                            top: -20,
                            bottom: -10
                        },
                        yaxis: {
                            lines: { show: true }
                        }
                    },
                    xaxis: {
                        categories: tcps,
                        labels: {
                            style: {
                                colors: $textMutedColor,
                                fontSize: '0.86rem'
                            }
                        },
                        axisTicks: {
                            show: false
                        },
                        axisBorder: {
                            show: false
                        }
                    },
                    yaxis: {
                        labels: {
                            style: {
                                colors: $textMutedColor,
                                fontSize: '0.86rem'
                            }
                        }
                    }
                };

                if (window.outTcpsReportChart) {
                    window.outTcpsReportChart.destroy();
                }

                window.outTcpsReportChart = new ApexCharts($outTcpseReportChart, outTcpsReportChartOptions);
                window.outTcpsReportChart.render();
            }

            function categoryTcps(categoryTcpsData, categories) {
                var $categoryTcpsReportChart = document.querySelector('#category-tcps-chart');
                var categoryTcpsReportChartOptions;
                var $textMutedColor = '#b9b9c3';
                var categoryTcpsReportChart;

                categoryTcpsReportChartOptions = {
                    chart: {
                        height: 230,
                        stacked: true,
                        type: 'bar',
                        toolbar: { show: true }
                    },
                    plotOptions: {
                        bar: {
                            columnWidth: '17%',
                            endingShape: 'rounded'
                        },
                        distributed: true
                    },
                    colors: [window.colors.solid.info, window.colors.solid.primary],
                    series: [
                        {
                            name: 'Category Wise Check In',
                            data: categoryTcpsData
                        }
                    ],
                    dataLabels: {
                        enabled: false
                    },
                    legend: {
                        show: false
                    },
                    grid: {
                        padding: {
                            top: -20,
                            bottom: -10
                        },
                        yaxis: {
                            lines: { show: true }
                        }
                    },
                    xaxis: {
                        categories: categories,
                        labels: {
                            style: {
                                colors: $textMutedColor,
                                fontSize: '0.86rem'
                            }
                        },
                        axisTicks: {
                            show: false
                        },
                        axisBorder: {
                            show: false
                        }
                    },
                    yaxis: {
                        labels: {
                            style: {
                                colors: $textMutedColor,
                                fontSize: '0.86rem'
                            }
                        }
                    }
                };

                if (window.categoryTcpsReportChart) {
                    window.categoryTcpsReportChart.destroy();
                }

                window.categoryTcpsReportChart = new ApexCharts($categoryTcpsReportChart, categoryTcpsReportChartOptions);
                window.categoryTcpsReportChart.render();
            }

        </script>
    @endpush

@endsection
