@extends('layouts.app')

@section('content')

    @push('css')
        <link rel="stylesheet" type="text/css" href="{{asset('admin/css/plugins/forms/form-validation.css')}}">
    @endpush

    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        @include('common.breadcrumb', ['title' => 'Tcps'])
                    </div>
                </div>
                <div class="content-header-right text-md-right col-md-3 col-12 d-md-block">
                    <div class="form-group breadcrumb-right">
                        <div class="dropdown">
                            <a href="{{route('tcp.index')}}" class="btn-icon btn-sm btn btn-dark xs-btn" type="button">
                                <i class="fa fa-arrow-left" aria-hidden="true"></i>
                                Back
                            </a>

                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <!-- Validation -->
                <section class="bs-validation">
                    <div class="row">

                        <!-- jQuery Validation -->
                        <div class="col-md-12 col-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title">TCP</h4>
                                </div>
                                <div class="card-body">

                                    <form  id="validation-form"  action="{{route('tcp.store')}}" method="post" enctype="multipart/form-data">

                                        @csrf

                                        <div class="row">

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="name">Name</label>
                                                    <input type="text" value="{{old('name')}}" class="form-control  @error('name') is-invalid @enderror" id="name" name="name" placeholder="Enter Name" />

                                                    @error('name')
                                                        <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror

                                                </div>
                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="town">Town</label>
                                                    <input type="text" value="{{old('town')}}" class="form-control @error('town') is-invalid @enderror" id="town" name="town" placeholder="Enter Towm" />

                                                    @error('town')
                                                        <span class="error-msg" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="zone">Zone</label>
                                                    <input type="text" value="{{old('zone')}}" class="form-control @error('zone') is-invalid @enderror" id="zone" name="zone" placeholder="Enter Zone" />

                                                    @error('zone')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="uc">UC</label>
                                                    <input type="text" value="{{old('uc')}}" class="form-control @error('uc') is-invalid @enderror" id="uc" name="uc" placeholder="Enter UC" />

                                                    @error('uc')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="lat">Lat</label>
                                                    <input type="text" value="{{old('lat')}}" class="form-control @error('lat') is-invalid @enderror" id="lat" name="lat" placeholder="e.g: 123.445" />

                                                    @error('lat')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="long">Long</label>
                                                    <input type="text" value="{{old('long')}}" class="form-control @error('long') is-invalid @enderror" id="long" name="long" placeholder="e.g: 50.656" />

                                                    @error('long')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6 col-sm-6">

                                                <div class="mb-1">
                                                    <label class="form-label" for="file">Image</label>
                                                    <input type="file" class="form-control @error('file') is-invalid @enderror" id="file" name="file">
                                                    @error('file')
                                                    <span class="error-msg" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6 col-6 mb-3">

                                                <div class="custom-control custom-control-primary custom-switch">
                                                    <p class="mb-50">Active ?</p>
                                                    <input type="checkbox" {{old('status', 1) == 1 ? 'checked' : ''}} name="status" value="1" class="custom-control-input" id="status">
                                                    <label class="custom-control-label" for="status"></label>
                                                </div>

                                            </div>

                                        </div>

                                        <button type="submit" class="btn btn-primary">Save</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <!-- /jQuery Validation -->
                    </div>
                </section>
                <!-- /Validation -->

            </div>
        </div>
    </div>
    <!-- END: Content-->

    @push('js')
        <script src="{{asset('admin/vendors/js/forms/validation/jquery.validate.min.js')}}"></script>
        <script src="{{asset('admin/js/pages/validations/brand.js')}}"></script>
    @endpush

@endsection
