@extends('layouts.app')

@section('content')

    @push('css')
        <link rel="stylesheet" type="text/css" href="{{asset('admin/css/plugins/forms/form-validation.css')}}">
    @endpush

    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        @include('common.breadcrumb', ['title' => 'User'])
                    </div>
                </div>
                <div class="content-header-right text-md-right col-md-3 col-12 d-md-block">
                    <div class="form-group breadcrumb-right">
                        <div class="dropdown">
                            <a href="{{route('user.index')}}" class="btn-icon btn-sm btn btn-dark xs-btn" type="button">
                                <i class="fa fa-arrow-left" aria-hidden="true"></i>
                                Back
                            </a>

                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <!-- Validation -->
                <section class="bs-validation">
                    <div class="row">

                        <!-- jQuery Validation -->
                        <div class="col-md-12 col-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title">User</h4>
                                </div>
                                <div class="card-body">

                                    <form  id="validation-form"  action="{{route('user.update', $user)}}" method="post" enctype="multipart/form-data">

                                        @csrf
                                        @method('put')

                                        <div class="row">

                                            <input type="hidden" value="{{$user->user->id ?? 0}}" name="user_id">

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="tcp_id">TCP</label>
                                                    <select class="form-control @error('tcp_id') is-invalid @enderror" name="tcp_id" id="tcp_id">
                                                        <option value="">Select TCP</option>
                                                        @foreach($tcps as $tcp)
                                                            <option value="{{$tcp->id ?? ''}}" {{old('tcp_id', $user->tcp_id) == $tcp->id ? 'selected' : '' }}>{{$tcp->name ?? ''}}</option>
                                                        @endforeach
                                                    </select>
                                                    @error('tcp_id')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror

                                                </div>
                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="name">Name</label>
                                                    <input type="text" value="{{old('name', $user->name ?? '')}}" class="form-control  @error('name') is-invalid @enderror" id="name" name="name" placeholder="Enter Name" />

                                                    @error('name')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror

                                                </div>
                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="shift">Shift</label>
                                                    <select name="shift" class="form-control @error('shift') is-invalid @enderror" id="shift">
                                                        <option value="">Select Shift</option>
                                                        @foreach(shifts() as $shift)
                                                            <option value="{{$shift}}" {{old('shift', $user->shift ?? '') == $shift ? 'selected' : ''}}>{{$shift}}</option>
                                                        @endforeach
                                                    </select>

                                                    @error('shift')
                                                    <span class="error-msg" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="cnic">CNIC</label>
                                                    <input type="text" value="{{old('cnic', $user->cnic ?? '')}}" class="form-control @error('cnic') is-invalid @enderror" id="cnic" name="cnic" placeholder="Enter CNIC" />

                                                    @error('cnic')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="phone">Phone</label>
                                                    <input type="text" value="{{old('phone', $user->phone ?? '')}}" class="form-control @error('phone') is-invalid @enderror" id="phone" name="phone" placeholder="Enter Phone" />
                                                    @error('phone')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="email">Email</label>
                                                    <input type="email" value="{{old('email', $user->user->email ?? '')}}" class="form-control @error('email') is-invalid @enderror" id="email" name="email" placeholder="Enter Email" />
                                                    @error('email')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="password">Password</label>
                                                    <input type="password" class="form-control @error('password') is-invalid @enderror" id="password" name="password" placeholder="Enter Password" />
                                                    @error('password')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6 col-6 mb-3">

                                                <div class="custom-control custom-control-primary custom-switch">
                                                    <p class="mb-50">Active ?</p>
                                                    <input type="checkbox" {{old('status', $user->status) == 1 ? 'checked' : ''}} name="status" value="1" class="custom-control-input" id="status">
                                                    <label class="custom-control-label" for="status"></label>
                                                </div>

                                            </div>

                                        </div>

                                        <button type="submit" class="btn btn-primary">Save</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <!-- /jQuery Validation -->
                    </div>
                </section>
                <!-- /Validation -->

            </div>
        </div>
    </div>
    <!-- END: Content-->

    @push('js')
        <script src="{{asset('admin/vendors/js/forms/validation/jquery.validate.min.js')}}"></script>
        <script src="{{asset('admin/js/pages/validations/brand.js')}}"></script>
    @endpush

@endsection
