@extends('layouts.app')

@section('content')

    @push('css')
        <link rel="stylesheet" type="text/css" href="{{asset('admin/css/plugins/forms/form-validation.css')}}">
    @endpush

    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        @include('common.breadcrumb', ['title' => 'Vehicles'])
                    </div>
                </div>
                <div class="content-header-right text-md-right col-md-3 col-12 d-md-block">
                    <div class="form-group breadcrumb-right">
                        <div class="dropdown">
                            <a href="{{route('vehicle.index')}}" class="btn-icon btn-sm btn btn-dark xs-btn" type="button">
                                <i class="fa fa-arrow-left" aria-hidden="true"></i>
                                Back
                            </a>

                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <!-- Validation -->
                <section class="bs-validation">
                    <div class="row">

                        <!-- jQuery Validation -->
                        <div class="col-md-12 col-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title">Vehicle</h4>
                                </div>
                                <div class="card-body">

                                    <form id="brands-form"  action="{{route('vehicle.update', $vehicle)}}" method="post" enctype="multipart/form-data">

                                        @csrf
                                        @method('put')

                                        <div class="row">

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="registration_no">Name</label>
                                                    <input type="text" value="{{old('name', $vehicle->name)}}" class="form-control @error('name') is-invalid @enderror" id="name" name="name" placeholder="Enter Name" />

                                                    @error('name')
                                                    <span class="error-msg" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>


                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="company_id">Company</label>
                                                    <select id="company_id" name="company_id" class="form-control @error('company_id') is-invalid @enderror">
                                                        <option value="">Select Company</option>
                                                        @foreach($companies as $company)
                                                            <option value="{{$company->id ?? ''}}" {{old('company_id', $vehicle->company_id) == $company->id ? 'selected' : ''}}>{{$company->name ?? ''}}</option>
                                                        @endforeach
                                                    </select>
                                                    @error('company_id')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror

                                                </div>
                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="registration_no">Registration No</label>
                                                    <input type="text" value="{{old('registration_no', $vehicle->registration_no ?? '')}}" class="form-control @error('registration_no') is-invalid @enderror" id="town" name="registration_no" placeholder="Enter Registration" />

                                                    @error('registration_no')
                                                    <span class="error-msg" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="category">Category</label>

                                                    <select name="category" class="form-control @error('category') is-invalid @enderror" id="category">
                                                        <option value="">Select Category</option>
                                                        @foreach(categories() as $category)
                                                            <option value="{{$category}}" {{old('category', $vehicle->category ?? '') == $category ? 'selected' : ''}}>{{$category}}</option>
                                                        @endforeach
                                                    </select>

                                                    @error('category')
                                                    <span class="error-msg" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                    @enderror
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="town">Town</label>
                                                    <input type="text" value="{{old('town', $vehicle->town ?? '')}}" class="form-control @error('town') is-invalid @enderror" id="town" name="town" placeholder="Enter Towm" />
                                                </div>
                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="zone">Zone</label>
                                                    <input type="text" value="{{old('zone', $vehicle->zone ?? '')}}" class="form-control @error('zone') is-invalid @enderror" id="zone" name="zone" placeholder="Enter Zone" />
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6">
                                                <div class="mb-1">
                                                    <label class="form-label" for="uc">UC</label>
                                                    <input type="text" value="{{old('uc', $vehicle->uc ?? '')}}" class="form-control @error('uc') is-invalid @enderror" id="uc" name="uc" placeholder="Enter UC" />
                                                </div>

                                            </div>

                                            <div class="col-md-6 col-6 col-6 mb-3">

                                                <div class="custom-control custom-control-primary custom-switch">
                                                    <p class="mb-50">Active ?</p>
                                                    <input type="checkbox" {{$vehicle->status == 1 ? 'checked' : ''}} name="status" value="1" class="custom-control-input" id="status">
                                                    <label class="custom-control-label" for="status"></label>
                                                </div>

                                            </div>

                                        </div>

                                        <button type="submit" class="btn btn-primary">Update</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <!-- /jQuery Validation -->
                    </div>
                </section>
                <!-- /Validation -->

            </div>
        </div>
    </div>
    <!-- END: Content-->

    @push('js')
        <script>
            /*to check validation for edit case*/
           var isEdit = true;
        </script>

        <script src="{{asset('admin/vendors/js/forms/validation/jquery.validate.min.js')}}"></script>
        <script src="{{asset('admin/js/pages/validations/brand.js')}}"></script>
    @endpush

@endsection
