@extends('layouts.app')

@section('content')

    @push('css')
        <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/tables/datatable/dataTables.bootstrap4.min.css')}}">
        <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/tables/datatable/responsive.bootstrap4.min.css')}}">
        <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/pickers/flatpickr/flatpickr.min.css')}}">
        <link rel="stylesheet" href="{{asset('admin/css/lightbox.min.css')}}" />
    @endpush

    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        @include('common.breadcrumb', ['title' => 'Trips Details'])
                    </div>
                </div>
            </div>
            <div class="content-body">
                <!-- Ajax Sourced Server-side -->
                <section id="ajax-datatable">
                    <div class="row">
                        <div class="col-12">
                            <div class="card table-card">
                                <div class="card-datatable">

                                    <table class="table table-bordered yajra-datatable">
                                        <thead>
                                        <tr>
                                            <th>User</th>
                                            <th>Vehicle</th>
                                            <th>Vehicle Registration</th>
                                            <th>Company</th>
                                            <th>In</th>
                                            <th>Out</th>
                                            <th>Time</th>
                                            <th>Visit Picture</th>
                                            <th>Description</th>
                                            <th>Category</th>
                                            <th>Actions</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>

                                </div>

                            </div>
                        </div>
                    </div>
                </section>

                <!--/ Ajax Sourced Server-side -->

            </div>
        </div>
    </div>
    <!-- END: Content-->

    @push('js')
        <script src="{{asset('admin/js/lightbox-plus-jquery.min.js')}}" type="text/javascript"></script>
        <script src="{{asset('admin/vendors/js/tables/datatable/jquery.dataTables.min.js')}}"></script>
        <script src="{{asset('admin/vendors/js/tables/datatable/datatables.bootstrap4.min.js')}}"></script>
        <script src="{{asset('admin/vendors/js/tables/datatable/dataTables.responsive.min.js')}}"></script>
        <script src="{{asset('admin/vendors/js/tables/datatable/responsive.bootstrap4.js')}}"></script>
        <script src="{{asset('admin/vendors/js/pickers/flatpickr/flatpickr.min.js')}}"></script>

        <script type="text/javascript">
            $(function () {

                var table = $('.yajra-datatable').DataTable({
                    processing: true,
                    serverSide: true,
                    autoWidth: true,
                    scrollX: true,
                    scrollY: true,
                    ajax: "{{ route('visitor.datatable') }}",
                    columns: [
                        {
                            data: 'user',
                            name: 'user',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'vehicle',
                            name: 'vehicle',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'vehicle_registration_no',
                            name: 'vehicle_registration_no',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'company',
                            name: 'company',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'entry',
                            name: 'company',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'exit',
                            name: 'exit',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'time',
                            name: 'time',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'visit_picture',
                            name: 'visit_picture',
                            orderable: false,
                            searchable: false
                        },
                        {
                            data: 'description',
                            name: 'description',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'category',
                            name: 'category',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'actions',
                            name: 'actions',
                            orderable: false,
                            searchable: false
                        },
                    ]
                });

            });
        </script>

    @endpush

@endsection
