<?php $__env->startSection('content'); ?>

    <?php $__env->startPush('css'); ?>
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/vendors/css/tables/datatable/dataTables.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/vendors/css/tables/datatable/responsive.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/vendors/css/pickers/flatpickr/flatpickr.min.css')); ?>">

        <link rel="stylesheet" href="<?php echo e(asset('admin/css/lightbox.min.css')); ?>" />
        <style>
            .dataTables_filter {
                display: none;
            }
        </style>
    <?php $__env->stopPush(); ?>

    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <?php echo $__env->make('common.breadcrumb', ['title' => 'Reports'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                </div>
            </div>

            <div class="card">
                <div class="accordion accordion-margin" id="ad-filters">
                    <div class="card accordion-item mt-0" style="position: inherit;">
                        <div id="filters" class="" aria-labelledby="filters-1" data-parent="#filters">
                            <div class="card-body mt-2">
                                <form id="productFilterForm" action="javascript:void(0);" >
                                    <div class="row g-1 mb-md-1">
                                        <div class="col-md-3">
                                            <label class="form-label" for="tcp_id">Tcps:</label>
                                            <select class="form-control select2" id="tcp_id" name="tcp_id">
                                                <option value="">--Select Tcp--</option>
                                                <?php if($tcps->count()): ?>
                                                    <?php $__currentLoopData = $tcps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tcp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($tcp->id); ?>"><?php echo e($tcp->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>

                                            </select>
                                        </div>

                                        <div class="col-md-3">
                                            <label class="form-label" for="start_date">Start Date:</label>
                                            <input type="text" class="form-control flatpickr-basic flatpickr-input" name="start_date" id="start_date">
                                        </div>

                                        <div class="col-md-3">
                                            <label class="form-label" for="end_date">End Date:</label>
                                            <input type="text" class="form-control flatpickr-basic flatpickr-input" name="end_date" id="end_date">
                                        </div>

                                        <div class="col-md-3">
                                            <label class="form-label" for="visit_type">Visit Type:</label>
                                            <select name="visit_type" class="form-control" id="visit_type">
                                                <option value="">Select Type</option>
                                                <option value="in">In</option>
                                                <option value="out">Out</option>
                                            </select>
                                        </div>

                                    </div>
                                    <hr>
                                    <div class="row g-1">
                                        <div class="col-12" style="text-align: right;">
                                            <button type="button" onclick="applyFilter();" class="btn btn-primary me-1 waves-effect waves-float waves-light">Submit</button>
                                            <button type="reset" onclick="resetFilter();" class="btn btn-outline-secondary waves-effect">Reset</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!--Search Form -->
                </div>
            </div>

            <div class="content-body">
                <!-- Ajax Sourced Server-side -->
                <section id="ajax-datatable">
                    <div class="row">
                        <div class="col-12">
                            <div class="card table-card">
                                <div class="card-datatable">

                                    <div class="form-group breadcrumb-right">
                                        <div class="dropdown">
                                            <a style="float: right;margin-top: 25px;" href="javascript:void(0);" onclick="submitReport();" class="xs-btn btn btn-success">
                                                Export
                                            </a>
                                        </div>
                                    </div>

                                    <form class="getReport" method="post" action="<?php echo e(route('report.export')); ?>">
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="tcp_id" class="tcp_id" value="">
                                        <input type="hidden" name="end_date" class="end_date" value="">
                                        <input type="hidden" name="start_date" class="start_date" value="">
                                        <input type="hidden" name="visit_type" class="visit_type" value="">
                                    </form>

                                    <table class="table table-bordered yajra-datatable">
                                        <thead>
                                        <tr>
                                            <th>User</th>
                                            <th>TCP</th>
                                            <th>Vehicle</th>
                                            <th>Vehicle Registration</th>
                                            <th>Company</th>
                                            <th>In</th>
                                            <th>Out</th>
                                            <th>Time</th>
                                            <th>Visit Picture</th>
                                            <th>Description</th>
                                            <th>Category</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>

                                </div>

                            </div>
                        </div>
                    </div>
                </section>

                <!--/ Ajax Sourced Server-side -->

            </div>
        </div>
    </div>
    <!-- END: Content-->

    <?php $__env->startPush('js'); ?>
        <script src="<?php echo e(asset('admin/js/lightbox-plus-jquery.min.js')); ?>" type="text/javascript"></script>
        <script src="<?php echo e(asset('admin/vendors/js/tables/datatable/jquery.dataTables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/vendors/js/tables/datatable/datatables.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/vendors/js/tables/datatable/dataTables.responsive.min.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/vendors/js/tables/datatable/responsive.bootstrap4.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/vendors/js/pickers/flatpickr/flatpickr.min.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/js/scripts/forms/pickers/form-pickers.js')); ?>"></script>

        <script type="text/javascript">

            function applyFilter() {
                $('.yajra-datatable').DataTable().clear().destroy();
                let data = {
                    tcp_id: $("#tcp_id").val(),
                    start_date: $("#start_date").val(),
                    end_date: $("#end_date").val(),
                    visit_type: $("#visit_type").val(),
                };

                dataTable(data);
            }

            function resetFilter() {
                $('.yajra-datatable').DataTable().clear().destroy();
                loadProductTable();
            }

            function dataTable(data) {

                var route = "<?php echo e(route('report.datatable')); ?>";
                var url = route + "?tcp_id=" + data.tcp_id + "&start_date=" + data.start_date + "&end_date=" + data.end_date + "&visit_type=" + data.visit_type

                var table = $('.yajra-datatable').DataTable({
                    processing: true,
                    serverSide: true,
                    autoWidth: true,
                    scrollX: true,
                    scrollY: true,
                    ajax: url,
                    columns: [
                        {
                            data: 'user',
                            name: 'user',
                            orderable: false,
                            searchable: true
                        },{
                            data: 'tcp_name',
                            name: 'tcp_name',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'vehicle',
                            name: 'vehicle',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'vehicle_registration_no',
                            name: 'vehicle_registration_no',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'company',
                            name: 'company',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'entry',
                            name: 'entry',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'exit',
                            name: 'exit',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'time',
                            name: 'time',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'visit_picture',
                            name: 'visit_picture',
                            orderable: false,
                            searchable: false
                        },
                        {
                            data: 'description',
                            name: 'description',
                            orderable: false,
                            searchable: true
                        },
                        {
                            data: 'category',
                            name: 'category',
                            orderable: false,
                            searchable: true
                        },
                    ]
                });

            }

            function submitReport() {
                $(".tcp_id").val($('#tcp_id').val());
                $(".start_date").val($('#start_date').val());
                $(".end_date").val($('#end_date').val());
                $(".visit_type").val($('#visit_type').val());
                $(".getReport").submit();
            }

        </script>

    <?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lwmceigp/public_html/tcp/resources/views/reports/index.blade.php ENDPATH**/ ?>